# norootforbuild

Name:		emount
Version:	0.11.2
Release:	1.1

Summary:	A tool that can mount, encrypt and manage disk image files and physical disk drives
License:	GPL
Group:		Productivity/File utilities
URL:		http://emount.sourceforge.net/

Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-desktop_categories.patch

Requires:	cryptsetup xdg-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gcc-c++ update-desktop-files

%if %suse_version <= 1130
BuildRequires:  wxGTK-devel
%else
BuildRequires:	wxWidgets-devel
%endif
BuildRequires:	gtkmm2-devel intltool 

%description
EMount is a free system administrator tool for Linux that can mount, encrypt
and manage disk image files and physical disk drives. It relies on cryptsetup,
which implements the LUKS disk encryption specification.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1


%build
%configure
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
%suse_update_desktop_file -r "emount" System Filesystem
%suse_update_desktop_file -r "emount(super-user)" System Filesystem


%clean
%{?buildroot:%__rm -rf "%{buildroot}"}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}(super-user).desktop
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}//%{name}
%{_datadir}/emount/eMount.png
#%{_datadir}/emount/mount_throbber.gif


%changelog
* Fri Aug 26 2011 detlef@links2linux.de
- new upstream version <0.11.2>
  * A bug preventing eMount from running without an X11 display has been fixed.
* Sat Jun 18 2011 detlef@links2linux.de
- new upstream version <0.11.1>
  * Automount and Eject All have been added to automatically mount volumes when
    eMount starts and dis-mount all volumes at once.
  * Empty volume trash on eject has been added.
  * Minor bugs have been fixed.
* Sat Feb 12 2011 detlef@links2linux.de
- new upstream version <0.11.0>
  * Library dependency to wxWidgets has been replaced with GTK+ (gtkmm). Major
    GUI improvements released.
  * Compact disk space allocation has been added to allow quick disk images
    creation.
* Wed Sep 15 2010 detlef@links2linux.de
- new upstream version <0.10.3>
  * A bug that was preventing the GUI from loading with Ubuntu 10.10 beta has been
    fixed.
* Tue Jun 22 2010 detlef@links2linux.de
- new upstream version <0.10.2>
  * Disk enlargement support for ext4 has been added.
  * Disk images greater than 2GB could not be enlarged, the bug has been fixed
    along with other issues.
* Sat May 15 2010 detlef@links2linux.de
- initial build for PackMan <0.10.1>
